using Microsoft.EntityFrameworkCore;
using nrdkwebsite;
using Pomelo.EntityFrameworkCore.MySql.Infrastructure;

var builder = WebApplication.CreateBuilder(args);
#pragma warning disable CS8600 // Converting null literal or possible null value to non-nullable type.
var connection = builder.Configuration.GetConnectionString("DefaultConnection");
#pragma warning restore CS8600 // Converting null literal or possible null value to non-nullable type.
builder.Services.AddDbContext<DatabaseHandler>(options => options.UseMySql(connection, ServerVersion.Create(new Version(8, 0, 35), ServerType.MySql)));
builder.Services.AddRazorPages();
var app = builder.Build();
if (!app.Environment.IsDevelopment())
{
    app.UseExceptionHandler("/Error");
    // The default HSTS value is 30 days. You may want to change this for production scenarios, see https://aka.ms/aspnetcore-hsts.
    app.UseHsts();
}
app.UseStatusCodePagesWithReExecute("/errors/{0}");
app.UseHttpsRedirection();
app.UseStaticFiles();

app.MapGet("/api/users", API.GetUsers); //WORKS
app.MapGet("/api/users/{id:int}", API.GetUserById); //WORKS
app.MapGet("/api/users/nickname/{name}", API.GetUserByName); //WORKS
app.MapDelete("/api/users/{id:int}", API.DeleteUser); //WORKS
app.MapPost("/api/users", API.PostNewUser); //WORKS

app.UseRouting();
app.UseAuthorization();
app.MapRazorPages();
app.Run();






